aim4.im.v2i.reservation

## Class ReservationGridManager.Plan

- java.lang.Object
- - aim4.im.v2i.reservation.ReservationGridManager.Plan

- Enclosing class:
    ReservationGridManager

      public static class ReservationGridManager.Plan
      extends Object

  The plan for the reservation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservationGridManager.Plan(int vin, double exitTime, double exitVelocity, List<ReservationGrid.TimeTile> workingList, Queue<double[]> accelerationProfile)` Create the plan for the reservation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Queue<double[]>` | `getAccelerationProfile()` Get the acceleration profile.
    `double` | `getExitTime()` Get the exit time.
    `double` | `getExitVelocity()` Get the exit velocity.
    `int` | `getVin()` Get the VIN of the vehicle.
    `List<ReservationGrid.TimeTile>` | `getWorkingList()` Get the list of time tiles reserved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationGridManager.Plan

          public ReservationGridManager.Plan(int vin,
                                     double exitTime,
                                     double exitVelocity,
                                     List<ReservationGrid.TimeTile> workingList,
                                     Queue<double[]> accelerationProfile)

      Create the plan for the reservation.
      Parameters:
        `vin` - the VIN of the vehicle
        `exitTime` - the exit time
        `exitVelocity` - the exit velocity
        `workingList` - the list of time tiles reserved
        `accelerationProfile` - the acceleration profile

  - ### Method Detail

    - #### getVin

          public int getVin()

      Get the VIN of the vehicle.
      Returns:
        the VIN of the vehicle

    - #### getExitTime

          public double getExitTime()

      Get the exit time.
      Returns:
        the exit time

    - #### getExitVelocity

          public double getExitVelocity()

      Get the exit velocity.
      Returns:
        the exit velocity

    - #### getWorkingList

          public List<ReservationGrid.TimeTile> getWorkingList()

      Get the list of time tiles reserved.
      Returns:
        the list of time tiles reserved

    - #### getAccelerationProfile

          public Queue<double[]> getAccelerationProfile()

      Get the acceleration profile.
      Returns:
        the acceleration profile

Copyright © 2013. All rights reserved.